# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_HArray1OfDrawableP3D Class Reference

`#include <TestTopOpeDraw_HArray1OfDrawableP3D.hxx>`

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_HArray1OfDrawableP3D (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TestTopOpeDraw_HArray1OfDrawableP3D (const Standard_Integer Low, const Standard_Integer Up, const Handle(TestTopOpeDraw_DrawableP3D)&V)
Standard_EXPORT void | Init (const Handle(TestTopOpeDraw_DrawableP3D)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TestTopOpeDraw_DrawableP3D)&Value)
const Handle_TestTopOpeDraw_DrawableP3D & | Value (const Standard_Integer Index) const
Handle_TestTopOpeDraw_DrawableP3D & | ChangeValue (const Standard_Integer Index)
const TestTopOpeDraw_Array1OfDrawableP3D & | Array1 () const
TestTopOpeDraw_Array1OfDrawableP3D & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TestTopOpeDraw_Array1OfDrawableP3D | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_HArray1OfDrawableP3D::TestTopOpeDraw_HArray1OfDrawableP3D | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TestTopOpeDraw_HArray1OfDrawableP3D::TestTopOpeDraw_HArray1OfDrawableP3D | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(TestTopOpeDraw_DrawableP3D)& | V
| ) |

## Member Function Documentation

const TestTopOpeDraw_Array1OfDrawableP3D& TestTopOpeDraw_HArray1OfDrawableP3D::Array1 | ( |  | ) | const

TestTopOpeDraw_Array1OfDrawableP3D& TestTopOpeDraw_HArray1OfDrawableP3D::ChangeArray1 | ( |  | ) |

Handle_TestTopOpeDraw_DrawableP3D& TestTopOpeDraw_HArray1OfDrawableP3D::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TestTopOpeDraw_HArray1OfDrawableP3D::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TestTopOpeDraw_HArray1OfDrawableP3D::Init | ( | const Handle(TestTopOpeDraw_DrawableP3D)& | V | ) |

Standard_Integer TestTopOpeDraw_HArray1OfDrawableP3D::Length | ( |  | ) | const

Standard_Integer TestTopOpeDraw_HArray1OfDrawableP3D::Lower | ( |  | ) | const

void TestTopOpeDraw_HArray1OfDrawableP3D::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TestTopOpeDraw_DrawableP3D)& | Value
| ) |

Standard_Integer TestTopOpeDraw_HArray1OfDrawableP3D::Upper | ( |  | ) | const

const Handle_TestTopOpeDraw_DrawableP3D& TestTopOpeDraw_HArray1OfDrawableP3D::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TestTopOpeDraw_Array1OfDrawableP3D TestTopOpeDraw_HArray1OfDrawableP3D::myArray `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_HArray1OfDrawableP3D.hxx